Arch Building

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Building and the translation is 33% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch BuildingPart.svg Building Part
Next: Site Arch Site.svg Arrow-right.svg

Arch Building.svg Arch Building

Ubicación en el Menú
Arch → Building
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
B U
Introducido en versión
-
Ver también
Piso, Ubicación


Descripción

Las Construcciones son un tipo especial de objeto grupo de FreeCAD particularmente ajustadas para la representación de una unidad de construcción completa. Se utilizan principalmente para organizar el modelo, conteniendo objetos piso.

Utilización

  1. Opcionalmente, selecciona uno o más objetos para incluirlos en tu nueva consdtrucción
  2. Presiona el botón Arch Building.png Construcción, o presiona las teclas B y U

Opciones

  • Después de la creación de uina construcción, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta Arch Add.png Añadir
  • Puedes eliminar objetos de una construcción arrastrando y soltándolos fuera desde la vista de árbol o utilizando la herramienta Arch Remove.png Eliminar

Properties

  • DATABuilding Type: The type of this building, to choose from a list

Programación

La herramienta Construcción se puede utilizar en macros y desde la consola de Python por medio de las siguientes instrucciones:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
crea una construcción incluyendo los objetos de la lista dada.

Ejemplo:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()